body {
  margin: .5in;
  font-family: "Gill Sans", sans-serif;
  font-weight: 300;
}

h1, h2 { font-weight: 300; }

#help {
  float: right;
}

#instructions {
  line-height: 1.5em;
  border: thin solid rgba(0, 0, 0, 0.2);
  margin: 10px;
  padding: 10px;
}
#instructions b {
  font-weight: 400;
  color: green;
  background: rgba(0,0,0,0.05);
  padding: 2px;
}

#problems {
  padding: 10px 0;
}

#problems button {
  margin: 4px;
  padding: 6px;
  border: none;
  background: rgba(0, 0, 0, 0.2);
}

#problems button.selected {
  background: blue;
  color: white;
}

#results .container {
  border: 1px solid rgba(0, 0, 0, 0.2);
  padding: 10px;
  margin-bottom: 10px;
}

#results h1 {
  padding: 0;
  margin: 0;
  margin-bottom: 15px;
}

#results table {
  width: 100%; 
  table-layout: fixed;
}

col.functionCall { width: 40%; }
col.got, col.expected { width: 25%; }
col.result { width: 10%; }

th { 
  font-weight: 300;
  background: rgba(0, 0, 0, 0.05);
  border-bottom: thin solid rgba(0, 0, 0, 0.2);
}
td, th { padding: 10px; }
td, th { text-align: center; }
td:first-child, th:first-child { text-align: left; }
td { font-family: monospace; }

tr.pass { background: rgba(100, 255, 100, 0.2); }
tr.fail { background: rgba(255, 100, 100, 0.2); }

#results p { padding-left: 1em; }

.error {
  color: rgba(200, 64, 64, 1);
  font-size: 36px;
  border: thin solid grey;
  padding: 30px;
  text-align: center;
}